Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 970700 - libsrtp: buffer overflow in application of crypto profiles [fedora-all]
libsrtp: buffer overflow in application of crypto profiles [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libsrtp (Show other bugs)
20
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2139
  Show dependency treegraph
 
Reported: 2013-06-04 12:02 EDT by Vincent Danen
Modified: 2014-01-08 02:53 EST (History)
2 users (show)

See Also:
Fixed In Version: libsrtp-1.4.4-9.20101004cvs.fc20
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 02:46:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-06-04 12:02:52 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-06-04 12:03:04 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=970697,970700
Comment 2 Fedora End Of Life 2013-12-21 08:51:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Vincent Danen 2013-12-24 15:08:56 EST
This is most definitely not fixed yet.  Bumping.
Comment 4 Fedora Update System 2013-12-30 12:13:31 EST
libsrtp-1.4.4-9.20101004cvs.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libsrtp-1.4.4-9.20101004cvs.fc19
Comment 5 Fedora Update System 2013-12-30 12:13:42 EST
libsrtp-1.4.4-9.20101004cvs.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libsrtp-1.4.4-9.20101004cvs.fc18
Comment 6 Fedora Update System 2013-12-30 12:13:52 EST
libsrtp-1.4.4-9.20101004cvs.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libsrtp-1.4.4-9.20101004cvs.fc20
Comment 7 Fedora Update System 2013-12-30 20:57:12 EST
Package libsrtp-1.4.4-9.20101004cvs.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libsrtp-1.4.4-9.20101004cvs.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-24114/libsrtp-1.4.4-9.20101004cvs.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-01-08 02:46:42 EST
libsrtp-1.4.4-9.20101004cvs.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-01-08 02:48:52 EST
libsrtp-1.4.4-9.20101004cvs.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-01-08 02:53:09 EST
libsrtp-1.4.4-9.20101004cvs.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.